Subject: On BIG5 input methods

From: Fung Fung Lee <[email-masked]>
Date: Thu, 11 Apr 91 17:23:48 -0700

The lastest cxterm (11.4.2) is indeed a very nice program.

As for BIG5 input methods, one easy way to build something better than IC
is to use hcu (Hanzi Converter)(available in june.cs.washington.edu:pub/yeung).
For example, one can generate a pinyin input method for BIG5 by converting
"PY.tit" bundled with cxterm as follows:

% hcu -m GBtoBIG < PY.tit | sed -e 's/ENCODE: GB/ENCODE: BIG5/' > PY-B.tit
% tit2cit PY-B.tit > PY-B.cit

Insert a line such as the following into .Xdefaults:
 	<KeyPress> F9:	switch-HZ-mode(PY-B)	\n\

Similary, one can generate CTCPS3-B.tit, the BIG5 version of a Cantonese
input method, and other phonetic based input methods back and forth
between GB and BIG5.

Due to the imperfect mapping between GB and BIG5, input methods generated
this way would be far from 100% satisfactory, since you may not be able
to input some BIG5 hanzi, the JianTi (GB) form of each of which correspond to
more than one FanTi (BIG5) forms.

You may also want to replace the "PROMPT" line in PY-B.tit, as there is
no exact correspondence of the "double colon" used in PY.tit, hence hcu
translates it into an empty box symbol.

Fung F. Lee

>From: Yongguang Zhang <[email-masked]>
>Subject:      New release: cxterm (rev 2), celvis (bug-fixes)
>
>* New Version of Chinese xterm (a Chinese terminal emulator on X11R4)
>
>
>The following are new in cxterm 11.4.2 (which means X11R4 cxterm Rev 2):
>
>  1)  Input methods are separated from the code of cxterm program.
>      They are stored in external files and are loaded at run time
>      on demand.
>
>  2)  There are programs to convert external input methods between
>      human readable format (.tit) and cxterm loadable format (.cit),
>      so that users can change the existing input methods or add their
>      own input methods without recompiling cxterm.
>
>  3)  The user can redefine keys to switch input mode (without
>      recompiling cxterm).
>
>  4)  Encodings other than GuoBiao (GB) are supported, such as BIG5.
>      i.e. cxterm is encoding independent.
>
>  5)  For GB coding, we have 3 builtin input methods, and 5 external ones,
>      including IC (internal coding in hex), pin yin, pin yin with tones, etc.
>
>  6)  For BIG5 coding, only input method IC is provided. I don't know
>      any popular input method in BIG5.